# IRremoteESP8266: src/ir_Pronto.cpp File Reference

ir_Pronto.cpp File Reference

Pronto code message generation. More...

## Variables

const float | kProntoFreqFactor = 0.241246
const uint16_t | kProntoTypeOffset = 0
const uint16_t | kProntoFreqOffset = 1
const uint16_t | kProntoSeq1LenOffset = 2
const uint16_t | kProntoSeq2LenOffset = 3
const uint16_t | kProntoDataOffset = 4

## Detailed Description

Pronto code message generation.

See also
  http://www.etcwiki.org/wiki/Pronto_Infrared_Format
  http://www.remotecentral.com/features/irdisp2.htm
  http://harctoolbox.org/Glossary.html#ProntoSemantics
  https://irdb.globalcache.com/

## Variable Documentation

## kProntoDataOffset

const uint16_t kProntoDataOffset = 4

## kProntoFreqFactor

const float kProntoFreqFactor = 0.241246

## kProntoFreqOffset

const uint16_t kProntoFreqOffset = 1

## kProntoSeq1LenOffset

const uint16_t kProntoSeq1LenOffset = 2

## kProntoSeq2LenOffset

const uint16_t kProntoSeq2LenOffset = 3

## kProntoTypeOffset

const uint16_t kProntoTypeOffset = 0